Bug 84063 - Gnome disabled after Multi-Login of Install-time-User-Build
Gnome disabled after Multi-Login of Install-time-User-Build
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-11 13:18 EST by stan hastings
Modified: 2015-01-07 19:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 13:32:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stan hastings 2003-02-11 13:18:23 EST
Description of problem: Gnome desktop unusable with user acct built during install.


Version-Release number of selected component (if applicable):


How reproducible: Build user during Redhat 8.0. Telnet to system as user. During
telnet session, login on console at user with GNOME. Panels are permanently
destroyed and no text on desktop icons.


Steps to Reproduce:
1.Build user during OS install.
2.Telnet to system as user (leave idle).
3.Login on console as user with Gnome.
    
Actual results:
Panels permanently destroyed. No text/icons on Gnome menu or applications.

Expected results:
Hopefully a usable Gnome desktop :)

Additional info:
KDE desktop still works.
Comment 1 stan hastings 2003-02-11 13:26:43 EST
in .xsession-errors of affected user

(nautilus:2230): Eel-WARNING **: GConf error:
  Failed to contact configuration server; some possible causes are that you need
 to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a sys
tem crash. See http://www.gnome.org/projects/gconf/ for information. (Details -
 1: IOR file '/home/nssec/.gconfd/lock/ior' not opened successfully, no gconfd l
ocated: No such file or directory 2: IOR file '/home/nssec/.gconfd/lock/ior' not
 opened successfully, no gconfd located: No such file or directory)
Comment 2 stan hastings 2003-02-11 13:30:09 EST
Sorry - last unrequested input.
This never seems to happen to a user built by root using the gui after install
is completed. Also, if you su to root from the remote machine, then
console-login as root...root is also destroyed under gnome.

Thank you for your help.
Comment 3 Havoc Pennington 2003-02-12 17:02:18 EST
/home is a local filesystem or NFS?

For a broken account, can you give the output of:

 ls -ld ~/.gconfd
 ls -l ~/.gconfd
Comment 4 stan hastings 2003-02-15 07:08:53 EST
LOCAL filesystem only - no NFS.

[techspt@psyched techspt]$ ls -l .gconfd
drwx------    2 techspt  techspt      4096 Feb 15 00:21 lock
-rwx------    1 techspt  techspt     19733 Feb 15 00:23 saved_state

[techspt@psyched techspt]$ ls -ld .gconfd
drwx------    3 techspt  techspt      4096 Feb 15 00:23 .gconfd
Comment 5 Havoc Pennington 2003-02-15 09:29:55 EST
The ls there is while the problem is happening, right? That is, you 
have the error message seen earlier with /home/nssec at the time you did the 
ls?

Anything in your .bashrc or .bash_profile or any unusual authentication setup 
on the telnet? I don't see how a telnet could possibly affect this unless there's 
some script running on login or something along those lines.
Comment 6 stan hastings 2003-02-18 14:29:24 EST
I agree telnet should not cause this. The systems were newly installed with no 
customization (3 systems). Our fix was to delete the users & re-add using 
redhat-config-users. Unfortunately, I have distributed 2 of the systems and 
only hve the 3rd system to experiment with. I reloaded the 3rd system and 
cannot reproduce the problem. We seem to be missing something in the setup.
Comment 7 stan hastings 2003-02-19 03:26:02 EST
The latest corruption of a user happened after I changed a monitor on the 
system. 'root' is still ok; however, 'techspt' is not. 
Unfortunately, I will be on vacation the rest of the week.
Requested info included below. I also emailed a gz file of the techspt home 
directory for .bash* .g* .x* .X* to jturner@redhat.com.

Last login: Wed Feb 19 01:46:42 from shastings
[techspt@psyched techspt]$ ls -l .gconfd
total 0
-rwxr-xr-x    1 techspt  techspt         0 Feb 15 07:35 saved_state
[techspt@psyched techspt]$ ls -ld .gconfd
drwxr-xr-x    2 techspt  techspt      4096 Feb 15 07:35 .gconfd
[techspt@psyched techspt]$

Thanks again.
Comment 8 Havoc Pennington 2003-08-05 18:29:51 EDT
I have no idea where to start here; I'll need some kind of lead or 
working instructions to reproduce. Anything that might be unusual or 
different about how your systems are set up, etc.
Comment 9 Havoc Pennington 2004-11-03 13:32:36 EST
Have not gotten any other reports of this, and bug inactive for a long
time. Closing for now.

Note You need to log in before you can comment on or make changes to this bug.